import {getMenuForUser} from "@/api/menu";
import {getStore, setStore} from '@/assets/js/storage';

const common = {
    state: {
        menu: getStore('menu', true),
        breadCrumbInfo: []
    },
    mutations: {
        SET_MENU(state, data) {
            state.menu = data;
        },
        setBreadCrumbInfo(state, data) {
            state.breadCrumbInfo = data;
        }
    },
    actions: {
        GET_MENU({commit}, data) {
            return getMenuForUser().then(res => {
                if(data!=1) res.data = res.data.filter((item) => {
                    return item.id==120 || item.id==121
                })
                setStore('menu', res.data);
                commit('SET_MENU', res.data);
            });
        },
        SET_MENU({commit},data) {
            setStore('menu', data);
            commit('SET_MENU', data);
        },
        setBreadCrumbInfo({commit}, data) {
            commit('setBreadCrumbInfo', data);
        }
    }

};
export default common
